Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGESignaReader Class Reference

`#include <vtkGESignaReader.h>`

Inheritance diagram for vtkGESignaReader:

[legend]
Collaboration diagram for vtkGESignaReader:

[legend]
List of all members.

## Detailed Description

read GE Signa ximg files

Date:
  2002/11/12 19:44:35

Revision:
  1.10

vtkGESignaReader is a source object that reads some GE Signa ximg files It does support reading in pixel spacing, slice spacing and it computes an origin for the image in millimeters. It always produces greyscale unsigned short data and it supports reading in rectangular, packed, compressed, and packed&compressed. It does not read in slice orientation, or position right now. To use it you just need to specify a filename or a file prefix and pattern.

See also:
  vtkImageReader2

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (87%)
  - Hoffman, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkGESignaReader.cxx)`
  - .`h` (`/IO/vtkGESignaReader.h)`

Tests:
  vtkGESignaReader (Tests)

Definition at line 54 of file vtkGESignaReader.h.

## Public Types
typedef vtkMedicalImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
## Static Public Methods
vtkGESignaReader * | New ()
int | IsTypeOf (const char *type)
vtkGESignaReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGESignaReader ()
| ~vtkGESignaReader ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)

## Member Typedef Documentation

typedef vtkMedicalImageReader2 vtkGESignaReader::Superclass

| Reimplemented from vtkMedicalImageReader2. Definition at line 58 of file vtkGESignaReader.h.

## Constructor & Destructor Documentation

vtkGESignaReader::vtkGESignaReader | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkGESignaReader.h.

vtkGESignaReader::~vtkGESignaReader | ( |  | ) | `[inline, protected]`

| Definition at line 81 of file vtkGESignaReader.h.

## Member Function Documentation

vtkGESignaReader* vtkGESignaReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkMedicalImageReader2.

virtual const char* vtkGESignaReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMedicalImageReader2.

int vtkGESignaReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMedicalImageReader2.

virtual int vtkGESignaReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMedicalImageReader2.

vtkGESignaReader* vtkGESignaReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMedicalImageReader2.

virtual void vtkGESignaReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMedicalImageReader2.

virtual int vtkGESignaReader::CanReadFile | ( | const char * | fname | ) | `[virtual]`

virtual const char* vtkGESignaReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| Valid extentsions Reimplemented from vtkImageReader2. Definition at line 65 of file vtkGESignaReader.h.

virtual const char* vtkGESignaReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| A descriptive name for this format Reimplemented from vtkImageReader2. Definition at line 73 of file vtkGESignaReader.h.

virtual void vtkGESignaReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkGESignaReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

The documentation for this class was generated from the following file:

- IO/vtkGESignaReader.h